Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class SelectElem

    java.lang.Object
      sharin.doc.builder.Elem
          sharin.doc.builder.GenericXmlElem<E>
              sharin.doc.builder.xhtml1.GenericCoreElem<E>
                  sharin.doc.builder.xhtml1.GenericCommonElem<SelectElem>
                      sharin.doc.builder.xhtml1.SelectElem

    public class SelectElem

extends GenericCommonElem<SelectElem>

Constructor Summary
`SelectElem(Object... nodes)`

Method Summary
`SelectElem` | `disabled(boolean disabled)`
`SelectElem` | `disabled(Object value)`
`SelectElem` | `multiple(boolean multiple)`
`SelectElem` | `multiple(Object value)`
`SelectElem` | `name(Object value)`
`SelectElem` | `onblur(Object value)`
`SelectElem` | `onchange(Object value)`
`SelectElem` | `onfocus(Object value)`
`SelectElem` | `size(Object value)`
`SelectElem` | `tabindex(Object value)`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCommonElem
`dir, lang, onclick, ondblclick, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, xmllang`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCoreElem
`clas, id, style, title`

Methods inherited from class sharin.doc.builder.GenericXmlElem
`_, attr, toString`

Methods inherited from class sharin.doc.builder.Elem
`getAttrList, getName, getNodeList, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectElem

    public SelectElem(Object... nodes)

Method Detail

### disabled

    public SelectElem disabled(boolean disabled)

### disabled

    public SelectElem disabled(Object value)

### multiple

    public SelectElem multiple(boolean multiple)

### multiple

    public SelectElem multiple(Object value)

### name

    public SelectElem name(Object value)

### onblur

    public SelectElem onblur(Object value)

### onchange

    public SelectElem onchange(Object value)

### onfocus

    public SelectElem onfocus(Object value)

### size

    public SelectElem size(Object value)

### tabindex

    public SelectElem tabindex(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.